using System.Diagnostics;

namespace Bing
{
    /// <summary>
    /// Contains properties that return the title and URL of a DeepLink. A DeepLink is a link within a website.
    /// </summary>
    [DebuggerDisplay("{Title}: {Url}")]
    public class DeepLink
    {
        // TODO: Documentation Error: http://msdn.microsoft.com/en-us/library/dd877885.aspx, incorrect C# syntax, should be "public string Title { get; set; }"
        /// <summary>
        /// Gets or sets the title of the website page about which this <see cref="DeepLink"/> object contains information.
        /// </summary>
        /// <value>Returns the title of the website page about which this <see cref="DeepLink"/> object contains information.</value>
        public string Title { get; set; }

        // TODO: Documentation Error: http://msdn.microsoft.com/en-us/library/dd877883.aspx, incorrect C# syntax, should be "public string Title { get; set; }"
        /// <summary>
        /// Gets or sets the Url of the website page about which this <see cref="DeepLink"/> object contains information.
        /// </summary>
        /// <value>Returns the Url of the website page about which this <see cref="DeepLink"/> object contains information.</value>
        public string Url { get; set; }


    }
}