﻿using System.Diagnostics;

namespace Bing
{
    /// <summary>
    /// Contains the Title and Url for a search that Bing suggests is related to the query terms for a request.
    /// </summary>
    [DebuggerDisplay("Title: {Title} - {Url}")]
    public class RelatedSearchResult
    {
        /// <summary>
        /// Gets or sets the title for a search that Bing suggests is related to the query terms for a request.
        /// </summary>
        /// <value>The title for a search that Bing suggests is related to the query terms for a request.</value>
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the URL of this related search.
        /// </summary>
        /// <value>The URL of this related search.</value>
        public string Url { get; set; }
    }
}
