﻿using System.Diagnostics;

namespace Bing
{
    /// <summary>
    /// Contains a property that returns a suggested alternative spelling for the query terms of a request that includes the Spell <see cref="ApiHelper.SourceType"/>.
    /// </summary>
    [DebuggerDisplay("{Value}")]
    public class SpellResult
    {
        /// <summary>
        /// If the query for a request appears to be misspelled, this field contains a suggestion for a corrected query.
        /// </summary>
        /// <value>If the query for a request appears to be misspelled, this field contains a suggestion for a corrected query.</value>
        /// <remarks>
        /// Each value contains either:
        /// <ul>
        /// <li>Unformatted text of the spelling suggestion or</li>
        /// <li>Text containing highlighted elements represents by <strong> and </strong>. The decision to render pure text or highlighted text is based on whether or not the EnableHighlighting option is set. For information about setting this option, see <see cref="SearchRequest.Options" /></li>
        /// </ul>
        /// </remarks>
        public string Value { get; set; }
    }
}
