﻿using System.Diagnostics;

namespace Bing
{
    /// <summary>
    /// Contains properties pertaining to a result returned for a request that specifies the Translation <see cref="ApiHelper.SourceType"/>.
    /// </summary>
    [DebuggerDisplay("{TranslatedTerm")]
    public class TranslationResult
    {
        /// <summary>
        /// Returns a translation of a term or text block specified in a request to the Translation <see cref="ApiHelper.SourceType"/>
        /// </summary>
        /// <value>The translated term.</value>
        public string TranslatedTerm { get; set; }
    }
}
