﻿using System.Diagnostics;

namespace Bing
{
    /// <summary>
    /// Contains properties that indicate the name and value of a search tag returned for a request to the Web <see cref="ApiHelper.SourceType"/>
    /// </summary>
    [DebuggerDisplay("{Name}={Value}")]
    public class WebSearchTag
    {
        /// <summary>
        /// Gets or sets the name of a search tag returned in a <see cref="WebResult"/>.
        /// </summary>
        /// <value>The name of a search tag returned in a <see cref="WebResult"/>.</value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the value of a search tag returned in a <see cref="WebResult"/>.
        /// </summary>
        /// <value>TThe value of a search tag returned in a <see cref="WebResult"/>.</value>
        public string Value { get; set; }

    }
}
